diff --git a/tests/fate/filter-video.mak b/tests/fate/filter-video.mak
index 53fc7a6..3bfb3c1 100644
--- a/tests/fate/filter-video.mak
+++ b/tests/fate/filter-video.mak
@@ -80,6 +80,27 @@ fate-filter-testsrc2-yuv444p: CMD = framecrc -lavfi testsrc2=r=7:d=10 -pix_fmt y
 FATE_FILTER-$(call ALLYES, TESTSRC2_FILTER) += fate-filter-testsrc2-rgb24
 fate-filter-testsrc2-rgb24: CMD = framecrc -lavfi testsrc2=r=7:d=10 -pix_fmt rgb24
 
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV ALLRGB_FILTER) += fate-filter-allrgb
+fate-filter-allrgb: CMD = framecrc -lavfi allrgb=rate=5:duration=1 -pix_fmt rgb24
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV ALLYUV_FILTER) += fate-filter-allyuv
+fate-filter-allyuv: CMD = framecrc -lavfi allyuv=rate=5:duration=1 -pix_fmt yuv444p
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV RGBTESTSRC_FILTER) += fate-filter-rgbtestsrc
+fate-filter-rgbtestsrc: CMD = framecrc -lavfi rgbtestsrc=rate=5:duration=1 -pix_fmt rgb24
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV SMPTEBARS_FILTER) += fate-filter-smptebars
+fate-filter-smptebars: CMD = framecrc -lavfi smptebars=rate=5:duration=1 -pix_fmt yuv420p
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV SMPTEHDBARS_FILTER) += fate-filter-smptehdbars
+fate-filter-smptehdbars: CMD = framecrc -lavfi smptehdbars=rate=5:duration=1 -pix_fmt yuv444p
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV YUVTESTSRC_FILTER) += fate-filter-yuvtestsrc-yuv444p
+fate-filter-yuvtestsrc-yuv444p: CMD = framecrc -lavfi yuvtestsrc=rate=5:duration=1 -pix_fmt yuv444p
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV YUVTESTSRC_FILTER) += fate-filter-yuvtestsrc-yuv444p12
+fate-filter-yuvtestsrc-yuv444p12: CMD = framecrc -lavfi yuvtestsrc=rate=5:duration=1,format=yuv444p12 -pix_fmt yuv444p12le
+
 FATE_FILTER-$(call ALLYES, AVDEVICE TESTSRC_FILTER FORMAT_FILTER CONCAT_FILTER SCALE_FILTER) += fate-filter-lavd-scalenorm
 fate-filter-lavd-scalenorm: tests/data/filtergraphs/scalenorm
 fate-filter-lavd-scalenorm: CMD = framecrc -f lavfi -graph_file $(TARGET_PATH)/tests/data/filtergraphs/scalenorm -i dummy
diff --git a/tests/ref/fate/filter-allrgb b/tests/ref/fate/filter-allrgb
new file mode 100644
index 0000000..b54efc5
--- /dev/null
+++ b/tests/ref/fate/filter-allrgb
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 4096x4096
+#sar 0: 1/1
+0,          0,          0,        1, 50331648, 0x9cc26aca
+0,          1,          1,        1, 50331648, 0x9cc26aca
+0,          2,          2,        1, 50331648, 0x9cc26aca
+0,          3,          3,        1, 50331648, 0x9cc26aca
+0,          4,          4,        1, 50331648, 0x9cc26aca
diff --git a/tests/ref/fate/filter-allyuv b/tests/ref/fate/filter-allyuv
new file mode 100644
index 0000000..477992f
--- /dev/null
+++ b/tests/ref/fate/filter-allyuv
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 4096x4096
+#sar 0: 1/1
+0,          0,          0,        1, 50331648, 0x70b16aca
+0,          1,          1,        1, 50331648, 0x70b16aca
+0,          2,          2,        1, 50331648, 0x70b16aca
+0,          3,          3,        1, 50331648, 0x70b16aca
+0,          4,          4,        1, 50331648, 0x70b16aca
diff --git a/tests/ref/fate/filter-rgbtestsrc b/tests/ref/fate/filter-rgbtestsrc
new file mode 100644
index 0000000..e18d364
--- /dev/null
+++ b/tests/ref/fate/filter-rgbtestsrc
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   230400, 0x8c0018bb
+0,          1,          1,        1,   230400, 0x8c0018bb
+0,          2,          2,        1,   230400, 0x8c0018bb
+0,          3,          3,        1,   230400, 0x8c0018bb
+0,          4,          4,        1,   230400, 0x8c0018bb
diff --git a/tests/ref/fate/filter-smptebars b/tests/ref/fate/filter-smptebars
new file mode 100644
index 0000000..2242aef
--- /dev/null
+++ b/tests/ref/fate/filter-smptebars
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   115200, 0x87d91dc5
+0,          1,          1,        1,   115200, 0x87d91dc5
+0,          2,          2,        1,   115200, 0x87d91dc5
+0,          3,          3,        1,   115200, 0x87d91dc5
+0,          4,          4,        1,   115200, 0x87d91dc5
diff --git a/tests/ref/fate/filter-smptehdbars b/tests/ref/fate/filter-smptehdbars
new file mode 100644
index 0000000..7a105fb
--- /dev/null
+++ b/tests/ref/fate/filter-smptehdbars
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   230400, 0x85f40706
+0,          1,          1,        1,   230400, 0x85f40706
+0,          2,          2,        1,   230400, 0x85f40706
+0,          3,          3,        1,   230400, 0x85f40706
+0,          4,          4,        1,   230400, 0x85f40706
diff --git a/tests/ref/fate/filter-yuvtestsrc-yuv444p b/tests/ref/fate/filter-yuvtestsrc-yuv444p
new file mode 100644
index 0000000..44fcf08
--- /dev/null
+++ b/tests/ref/fate/filter-yuvtestsrc-yuv444p
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   230400, 0x0e1e2a4f
+0,          1,          1,        1,   230400, 0x0e1e2a4f
+0,          2,          2,        1,   230400, 0x0e1e2a4f
+0,          3,          3,        1,   230400, 0x0e1e2a4f
+0,          4,          4,        1,   230400, 0x0e1e2a4f
diff --git a/tests/ref/fate/filter-yuvtestsrc-yuv444p12 b/tests/ref/fate/filter-yuvtestsrc-yuv444p12
new file mode 100644
index 0000000..8abac6f
--- /dev/null
+++ b/tests/ref/fate/filter-yuvtestsrc-yuv444p12
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   460800, 0x3ec49be7
+0,          1,          1,        1,   460800, 0x3ec49be7
+0,          2,          2,        1,   460800, 0x3ec49be7
+0,          3,          3,        1,   460800, 0x3ec49be7
+0,          4,          4,        1,   460800, 0x3ec49be7