diff --git a/tests/fate/filter-video.mak b/tests/fate/filter-video.mak
index 53fc7a6..b24da05 100644
--- a/tests/fate/filter-video.mak
+++ b/tests/fate/filter-video.mak
@@ -80,6 +80,30 @@ fate-filter-testsrc2-yuv444p: CMD = framecrc -lavfi testsrc2=r=7:d=10 -pix_fmt y
 FATE_FILTER-$(call ALLYES, TESTSRC2_FILTER) += fate-filter-testsrc2-rgb24
 fate-filter-testsrc2-rgb24: CMD = framecrc -lavfi testsrc2=r=7:d=10 -pix_fmt rgb24
 
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV TESTSRC2_FILTER) += fate-filter-testsrc2-rgba
+fate-filter-testsrc2-rgba: CMD = framecrc -lavfi testsrc2=r=7:d=10 -pix_fmt rgba
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV ALLRGB_FILTER) += fate-filter-allrgb
+fate-filter-allrgb: CMD = framecrc -lavfi allrgb=rate=5:duration=1 -pix_fmt rgb24
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV ALLYUV_FILTER) += fate-filter-allyuv
+fate-filter-allyuv: CMD = framecrc -lavfi allyuv=rate=5:duration=1 -pix_fmt yuv444p
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV RGBTESTSRC_FILTER) += fate-filter-rgbtestsrc
+fate-filter-rgbtestsrc: CMD = framecrc -lavfi rgbtestsrc=rate=5:duration=1 -pix_fmt rgb24
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV SMPTEBARS_FILTER) += fate-filter-smptebars
+fate-filter-smptebars: CMD = framecrc -lavfi smptebars=rate=5:duration=1 -pix_fmt yuv420p
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV SMPTEHDBARS_FILTER) += fate-filter-smptehdbars
+fate-filter-smptehdbars: CMD = framecrc -lavfi smptehdbars=rate=5:duration=1 -pix_fmt yuv444p
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV YUVTESTSRC_FILTER) += fate-filter-yuvtestsrc-yuv444p
+fate-filter-yuvtestsrc-yuv444p: CMD = framecrc -lavfi yuvtestsrc=rate=5:duration=1 -pix_fmt yuv444p
+
+FATE_FILTER-$(call ALLYES, LAVFI_INDEV YUVTESTSRC_FILTER) += fate-filter-yuvtestsrc-yuv444p12
+fate-filter-yuvtestsrc-yuv444p12: CMD = framecrc -lavfi yuvtestsrc=rate=5:duration=1,format=yuv444p12 -pix_fmt yuv444p12le
+
 FATE_FILTER-$(call ALLYES, AVDEVICE TESTSRC_FILTER FORMAT_FILTER CONCAT_FILTER SCALE_FILTER) += fate-filter-lavd-scalenorm
 fate-filter-lavd-scalenorm: tests/data/filtergraphs/scalenorm
 fate-filter-lavd-scalenorm: CMD = framecrc -f lavfi -graph_file $(TARGET_PATH)/tests/data/filtergraphs/scalenorm -i dummy
diff --git a/tests/ref/fate/filter-allrgb b/tests/ref/fate/filter-allrgb
new file mode 100644
index 0000000..b54efc5
--- /dev/null
+++ b/tests/ref/fate/filter-allrgb
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 4096x4096
+#sar 0: 1/1
+0,          0,          0,        1, 50331648, 0x9cc26aca
+0,          1,          1,        1, 50331648, 0x9cc26aca
+0,          2,          2,        1, 50331648, 0x9cc26aca
+0,          3,          3,        1, 50331648, 0x9cc26aca
+0,          4,          4,        1, 50331648, 0x9cc26aca
diff --git a/tests/ref/fate/filter-allyuv b/tests/ref/fate/filter-allyuv
new file mode 100644
index 0000000..477992f
--- /dev/null
+++ b/tests/ref/fate/filter-allyuv
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 4096x4096
+#sar 0: 1/1
+0,          0,          0,        1, 50331648, 0x70b16aca
+0,          1,          1,        1, 50331648, 0x70b16aca
+0,          2,          2,        1, 50331648, 0x70b16aca
+0,          3,          3,        1, 50331648, 0x70b16aca
+0,          4,          4,        1, 50331648, 0x70b16aca
diff --git a/tests/ref/fate/filter-rgbtestsrc b/tests/ref/fate/filter-rgbtestsrc
new file mode 100644
index 0000000..e18d364
--- /dev/null
+++ b/tests/ref/fate/filter-rgbtestsrc
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   230400, 0x8c0018bb
+0,          1,          1,        1,   230400, 0x8c0018bb
+0,          2,          2,        1,   230400, 0x8c0018bb
+0,          3,          3,        1,   230400, 0x8c0018bb
+0,          4,          4,        1,   230400, 0x8c0018bb
diff --git a/tests/ref/fate/filter-smptebars b/tests/ref/fate/filter-smptebars
new file mode 100644
index 0000000..2242aef
--- /dev/null
+++ b/tests/ref/fate/filter-smptebars
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   115200, 0x87d91dc5
+0,          1,          1,        1,   115200, 0x87d91dc5
+0,          2,          2,        1,   115200, 0x87d91dc5
+0,          3,          3,        1,   115200, 0x87d91dc5
+0,          4,          4,        1,   115200, 0x87d91dc5
diff --git a/tests/ref/fate/filter-smptehdbars b/tests/ref/fate/filter-smptehdbars
new file mode 100644
index 0000000..7a105fb
--- /dev/null
+++ b/tests/ref/fate/filter-smptehdbars
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   230400, 0x85f40706
+0,          1,          1,        1,   230400, 0x85f40706
+0,          2,          2,        1,   230400, 0x85f40706
+0,          3,          3,        1,   230400, 0x85f40706
+0,          4,          4,        1,   230400, 0x85f40706
diff --git a/tests/ref/fate/filter-testsrc2-rgba b/tests/ref/fate/filter-testsrc2-rgba
new file mode 100644
index 0000000..42ecfe5
--- /dev/null
+++ b/tests/ref/fate/filter-testsrc2-rgba
@@ -0,0 +1,75 @@
+#tb 0: 1/7
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   307200, 0xa2e60897
+0,          1,          1,        1,   307200, 0x67f03406
+0,          2,          2,        1,   307200, 0x683843a1
+0,          3,          3,        1,   307200, 0x285a682c
+0,          4,          4,        1,   307200, 0x7444a71e
+0,          5,          5,        1,   307200, 0xde9e40d7
+0,          6,          6,        1,   307200, 0xc8bbd13d
+0,          7,          7,        1,   307200, 0x6f179555
+0,          8,          8,        1,   307200, 0x274254c9
+0,          9,          9,        1,   307200, 0xb3ee50db
+0,         10,         10,        1,   307200, 0x0ebe40d8
+0,         11,         11,        1,   307200, 0xa8216930
+0,         12,         12,        1,   307200, 0x467778e2
+0,         13,         13,        1,   307200, 0xe6b02e74
+0,         14,         14,        1,   307200, 0x18a5a923
+0,         15,         15,        1,   307200, 0x3ff2086b
+0,         16,         16,        1,   307200, 0x71ebe464
+0,         17,         17,        1,   307200, 0x671cf604
+0,         18,         18,        1,   307200, 0xe55dfee7
+0,         19,         19,        1,   307200, 0xc9c497ea
+0,         20,         20,        1,   307200, 0xb263b768
+0,         21,         21,        1,   307200, 0xd24ee5a8
+0,         22,         22,        1,   307200, 0x9b77a2b7
+0,         23,         23,        1,   307200, 0x729c1b08
+0,         24,         24,        1,   307200, 0x725574db
+0,         25,         25,        1,   307200, 0x413cf660
+0,         26,         26,        1,   307200, 0xe8db86b0
+0,         27,         27,        1,   307200, 0xf538a378
+0,         28,         28,        1,   307200, 0x89638534
+0,         29,         29,        1,   307200, 0x0858618b
+0,         30,         30,        1,   307200, 0x8b5f961c
+0,         31,         31,        1,   307200, 0xddbb5e48
+0,         32,         32,        1,   307200, 0x9352a610
+0,         33,         33,        1,   307200, 0xcf466635
+0,         34,         34,        1,   307200, 0xaf69099c
+0,         35,         35,        1,   307200, 0x18811110
+0,         36,         36,        1,   307200, 0x7b7dcbd1
+0,         37,         37,        1,   307200, 0x27e2f523
+0,         38,         38,        1,   307200, 0x563debe1
+0,         39,         39,        1,   307200, 0x48c71784
+0,         40,         40,        1,   307200, 0x4b6476b4
+0,         41,         41,        1,   307200, 0xa7a21b13
+0,         42,         42,        1,   307200, 0xd14d86c0
+0,         43,         43,        1,   307200, 0x12b1caef
+0,         44,         44,        1,   307200, 0xae58ad7e
+0,         45,         45,        1,   307200, 0x908bbb66
+0,         46,         46,        1,   307200, 0xc6d4f77e
+0,         47,         47,        1,   307200, 0x08a90cdf
+0,         48,         48,        1,   307200, 0x6c344d22
+0,         49,         49,        1,   307200, 0xb351a388
+0,         50,         50,        1,   307200, 0x8209bbff
+0,         51,         51,        1,   307200, 0xfa1e34e0
+0,         52,         52,        1,   307200, 0x76dd4c48
+0,         53,         53,        1,   307200, 0xb01ab30f
+0,         54,         54,        1,   307200, 0x2e2ec7c5
+0,         55,         55,        1,   307200, 0x6382f929
+0,         56,         56,        1,   307200, 0xa5cfce14
+0,         57,         57,        1,   307200, 0xd9339546
+0,         58,         58,        1,   307200, 0xf5b9a815
+0,         59,         59,        1,   307200, 0x99bbc602
+0,         60,         60,        1,   307200, 0x642242e6
+0,         61,         61,        1,   307200, 0x9626ad04
+0,         62,         62,        1,   307200, 0xba276036
+0,         63,         63,        1,   307200, 0x04bb2e18
+0,         64,         64,        1,   307200, 0x57bf0cc6
+0,         65,         65,        1,   307200, 0xce4c0f05
+0,         66,         66,        1,   307200, 0x9fa71634
+0,         67,         67,        1,   307200, 0xb0525b7f
+0,         68,         68,        1,   307200, 0x5a6c7523
+0,         69,         69,        1,   307200, 0x1dfc11fa
diff --git a/tests/ref/fate/filter-yuvtestsrc-yuv444p b/tests/ref/fate/filter-yuvtestsrc-yuv444p
new file mode 100644
index 0000000..44fcf08
--- /dev/null
+++ b/tests/ref/fate/filter-yuvtestsrc-yuv444p
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   230400, 0x0e1e2a4f
+0,          1,          1,        1,   230400, 0x0e1e2a4f
+0,          2,          2,        1,   230400, 0x0e1e2a4f
+0,          3,          3,        1,   230400, 0x0e1e2a4f
+0,          4,          4,        1,   230400, 0x0e1e2a4f
diff --git a/tests/ref/fate/filter-yuvtestsrc-yuv444p12 b/tests/ref/fate/filter-yuvtestsrc-yuv444p12
new file mode 100644
index 0000000..8abac6f
--- /dev/null
+++ b/tests/ref/fate/filter-yuvtestsrc-yuv444p12
@@ -0,0 +1,10 @@
+#tb 0: 1/5
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 320x240
+#sar 0: 1/1
+0,          0,          0,        1,   460800, 0x3ec49be7
+0,          1,          1,        1,   460800, 0x3ec49be7
+0,          2,          2,        1,   460800, 0x3ec49be7
+0,          3,          3,        1,   460800, 0x3ec49be7
+0,          4,          4,        1,   460800, 0x3ec49be7