diff --git a/tests/fate/filter-video.mak b/tests/fate/filter-video.mak
index 72d95ae415..83a2739349 100644
--- a/tests/fate/filter-video.mak
+++ b/tests/fate/filter-video.mak
@@ -744,6 +744,10 @@ FATE_METADATA_FILTER-$(call ALLYES, $(CROPDETECT_DEPS)) += fate-filter-metadata-
 fate-filter-metadata-cropdetect: SRC = $(TARGET_SAMPLES)/filter/cropdetect.mp4
 fate-filter-metadata-cropdetect: CMD = run $(FILTER_METADATA_COMMAND) "sws_flags=+accurate_rnd+bitexact;movie='$(SRC)',cropdetect=max_outliers=3"
 
+FREEZEDETECT_DEPS = FFPROBE AVDEVICE LAVFI_INDEV MPTESTSRC_FILTER SCALE_FILTER FREEZEDETECT_FILTER
+FATE_METADATA_FILTER-$(call ALLYES, $(FREEZEDETECT_DEPS)) += fate-filter-metadata-freezedetect
+fate-filter-metadata-freezedetect: CMD = run $(FILTER_METADATA_COMMAND) "sws_flags=+accurate_rnd+bitexact;mptestsrc=r=25:d=10:m=51,freezedetect"
+
 SILENCEDETECT_DEPS = FFPROBE AVDEVICE LAVFI_INDEV AMOVIE_FILTER TTA_DEMUXER TTA_DECODER SILENCEDETECT_FILTER
 FATE_METADATA_FILTER-$(call ALLYES, $(SILENCEDETECT_DEPS)) += fate-filter-metadata-silencedetect
 fate-filter-metadata-silencedetect: SRC = $(TARGET_SAMPLES)/lossless-audio/inside.tta
diff --git a/tests/ref/fate/filter-metadata-freezedetect b/tests/ref/fate/filter-metadata-freezedetect
new file mode 100644
index 0000000000..a0ee38e458
--- /dev/null
+++ b/tests/ref/fate/filter-metadata-freezedetect
@@ -0,0 +1,251 @@
+pkt_pts=0
+pkt_pts=1
+pkt_pts=2
+pkt_pts=3
+pkt_pts=4
+pkt_pts=5
+pkt_pts=6
+pkt_pts=7
+pkt_pts=8
+pkt_pts=9
+pkt_pts=10
+pkt_pts=11
+pkt_pts=12
+pkt_pts=13
+pkt_pts=14
+pkt_pts=15
+pkt_pts=16
+pkt_pts=17
+pkt_pts=18
+pkt_pts=19
+pkt_pts=20
+pkt_pts=21
+pkt_pts=22
+pkt_pts=23
+pkt_pts=24
+pkt_pts=25
+pkt_pts=26
+pkt_pts=27
+pkt_pts=28
+pkt_pts=29
+pkt_pts=30
+pkt_pts=31
+pkt_pts=32
+pkt_pts=33
+pkt_pts=34
+pkt_pts=35
+pkt_pts=36
+pkt_pts=37
+pkt_pts=38
+pkt_pts=39
+pkt_pts=40
+pkt_pts=41
+pkt_pts=42
+pkt_pts=43
+pkt_pts=44
+pkt_pts=45
+pkt_pts=46
+pkt_pts=47
+pkt_pts=48
+pkt_pts=49
+pkt_pts=50
+pkt_pts=51
+pkt_pts=52
+pkt_pts=53
+pkt_pts=54
+pkt_pts=55
+pkt_pts=56
+pkt_pts=57
+pkt_pts=58
+pkt_pts=59
+pkt_pts=60
+pkt_pts=61
+pkt_pts=62
+pkt_pts=63
+pkt_pts=64
+pkt_pts=65
+pkt_pts=66
+pkt_pts=67
+pkt_pts=68
+pkt_pts=69
+pkt_pts=70
+pkt_pts=71
+pkt_pts=72
+pkt_pts=73
+pkt_pts=74
+pkt_pts=75
+pkt_pts=76
+pkt_pts=77
+pkt_pts=78
+pkt_pts=79
+pkt_pts=80
+pkt_pts=81
+pkt_pts=82
+pkt_pts=83
+pkt_pts=84
+pkt_pts=85
+pkt_pts=86
+pkt_pts=87
+pkt_pts=88
+pkt_pts=89
+pkt_pts=90
+pkt_pts=91
+pkt_pts=92
+pkt_pts=93
+pkt_pts=94
+pkt_pts=95
+pkt_pts=96
+pkt_pts=97
+pkt_pts=98
+pkt_pts=99
+pkt_pts=100
+pkt_pts=101
+pkt_pts=102
+pkt_pts=103
+pkt_pts=104
+pkt_pts=105
+pkt_pts=106
+pkt_pts=107
+pkt_pts=108
+pkt_pts=109
+pkt_pts=110
+pkt_pts=111
+pkt_pts=112
+pkt_pts=113
+pkt_pts=114
+pkt_pts=115
+pkt_pts=116
+pkt_pts=117
+pkt_pts=118
+pkt_pts=119
+pkt_pts=120
+pkt_pts=121
+pkt_pts=122
+pkt_pts=123
+pkt_pts=124
+pkt_pts=125
+pkt_pts=126
+pkt_pts=127
+pkt_pts=128
+pkt_pts=129
+pkt_pts=130
+pkt_pts=131
+pkt_pts=132
+pkt_pts=133
+pkt_pts=134
+pkt_pts=135
+pkt_pts=136
+pkt_pts=137
+pkt_pts=138
+pkt_pts=139
+pkt_pts=140
+pkt_pts=141
+pkt_pts=142
+pkt_pts=143
+pkt_pts=144
+pkt_pts=145
+pkt_pts=146
+pkt_pts=147
+pkt_pts=148
+pkt_pts=149
+pkt_pts=150
+pkt_pts=151
+pkt_pts=152
+pkt_pts=153|tag:lavfi.freezedetect.freeze_start=4.12|tag:lavfi.freezedetect.freeze_duration=2|tag:lavfi.freezedetect.freeze_end=6.12
+pkt_pts=154
+pkt_pts=155
+pkt_pts=156
+pkt_pts=157
+pkt_pts=158
+pkt_pts=159
+pkt_pts=160
+pkt_pts=161
+pkt_pts=162
+pkt_pts=163
+pkt_pts=164
+pkt_pts=165
+pkt_pts=166
+pkt_pts=167
+pkt_pts=168
+pkt_pts=169
+pkt_pts=170
+pkt_pts=171
+pkt_pts=172
+pkt_pts=173
+pkt_pts=174
+pkt_pts=175
+pkt_pts=176
+pkt_pts=177
+pkt_pts=178
+pkt_pts=179
+pkt_pts=180
+pkt_pts=181
+pkt_pts=182
+pkt_pts=183
+pkt_pts=184
+pkt_pts=185
+pkt_pts=186
+pkt_pts=187
+pkt_pts=188
+pkt_pts=189
+pkt_pts=190
+pkt_pts=191
+pkt_pts=192
+pkt_pts=193
+pkt_pts=194
+pkt_pts=195
+pkt_pts=196
+pkt_pts=197
+pkt_pts=198
+pkt_pts=199
+pkt_pts=200
+pkt_pts=201
+pkt_pts=202
+pkt_pts=203
+pkt_pts=204|tag:lavfi.freezedetect.freeze_start=6.16|tag:lavfi.freezedetect.freeze_duration=2|tag:lavfi.freezedetect.freeze_end=8.16
+pkt_pts=205
+pkt_pts=206
+pkt_pts=207
+pkt_pts=208
+pkt_pts=209
+pkt_pts=210
+pkt_pts=211
+pkt_pts=212
+pkt_pts=213
+pkt_pts=214
+pkt_pts=215
+pkt_pts=216
+pkt_pts=217
+pkt_pts=218
+pkt_pts=219
+pkt_pts=220
+pkt_pts=221
+pkt_pts=222
+pkt_pts=223
+pkt_pts=224
+pkt_pts=225
+pkt_pts=226
+pkt_pts=227
+pkt_pts=228
+pkt_pts=229
+pkt_pts=230
+pkt_pts=231
+pkt_pts=232
+pkt_pts=233
+pkt_pts=234
+pkt_pts=235
+pkt_pts=236
+pkt_pts=237
+pkt_pts=238
+pkt_pts=239
+pkt_pts=240
+pkt_pts=241
+pkt_pts=242
+pkt_pts=243
+pkt_pts=244
+pkt_pts=245
+pkt_pts=246
+pkt_pts=247
+pkt_pts=248
+pkt_pts=249
+pkt_pts=250