diff --git a/tests/fate/filter-video.mak b/tests/fate/filter-video.mak
index b520690..576f142 100644
--- a/tests/fate/filter-video.mak
+++ b/tests/fate/filter-video.mak
@@ -259,6 +259,9 @@ FATE_FILTER_SAMPLES-$(call ALLYES, PNG_DECODER APNG_DEMUXER FORMAT_FILTER COLOR_
 FATE_FILTER_VSYNTH-$(CONFIG_PHASE_FILTER) += fate-filter-phase
 fate-filter-phase: CMD = framecrc -c:v pgmyuv -i $(SRC) -vf phase
 
+FATE_FILTER_VSYNTH-$(CONFIG_DNN_PROCESSING_FILTER) += fate-filter-dnn_processing-halve_first_channel
+fate-filter-dnn_processing-halve_first_channel: CMD = framecrc -c:v pgmyuv -i $(SRC) -vf dnn_processing=model=$(TARGET_SAMPLES)/dnn_processing/halve_first_channel.model:input=dnn_in:output=dnn_out:fmt=rgb24:dnn_backend=native
+
 FATE_REMOVEGRAIN += fate-filter-removegrain-mode-00
 fate-filter-removegrain-mode-00: CMD = framecrc -c:v pgmyuv -i $(SRC) -frames:v 1 -vf removegrain=0:0:0
 
diff --git a/tests/ref/fate/filter-dnn_processing-halve_first_channel b/tests/ref/fate/filter-dnn_processing-halve_first_channel
new file mode 100644
index 0000000..ad7deda
--- /dev/null
+++ b/tests/ref/fate/filter-dnn_processing-halve_first_channel
@@ -0,0 +1,55 @@
+#tb 0: 1/25
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 352x288
+#sar 0: 0/1
+0,          0,          0,        1,   304128, 0xdecb04c8
+0,          1,          1,        1,   304128, 0x55d9a543
+0,          2,          2,        1,   304128, 0x11ae175c
+0,          3,          3,        1,   304128, 0x2cbc8734
+0,          4,          4,        1,   304128, 0xa8e5cb1f
+0,          5,          5,        1,   304128, 0xb6d9ce81
+0,          6,          6,        1,   304128, 0x51613881
+0,          7,          7,        1,   304128, 0x09b9614f
+0,          8,          8,        1,   304128, 0x172a6901
+0,          9,          9,        1,   304128, 0x30237bf4
+0,         10,         10,        1,   304128, 0xb8646354
+0,         11,         11,        1,   304128, 0xe2dd8145
+0,         12,         12,        1,   304128, 0x6f0b3cea
+0,         13,         13,        1,   304128, 0xb1a04427
+0,         14,         14,        1,   304128, 0xe0ab42cf
+0,         15,         15,        1,   304128, 0xd4dc3224
+0,         16,         16,        1,   304128, 0xdb3462a1
+0,         17,         17,        1,   304128, 0x1d9931a1
+0,         18,         18,        1,   304128, 0x17c80e7a
+0,         19,         19,        1,   304128, 0x800d587b
+0,         20,         20,        1,   304128, 0x97d67832
+0,         21,         21,        1,   304128, 0xffc116db
+0,         22,         22,        1,   304128, 0x80510bc1
+0,         23,         23,        1,   304128, 0xbf838895
+0,         24,         24,        1,   304128, 0x3c8ce931
+0,         25,         25,        1,   304128, 0x8640e1cd
+0,         26,         26,        1,   304128, 0xa944fcac
+0,         27,         27,        1,   304128, 0x7cef3f83
+0,         28,         28,        1,   304128, 0x3c8d60d2
+0,         29,         29,        1,   304128, 0x83fad1ef
+0,         30,         30,        1,   304128, 0xbd6031ac
+0,         31,         31,        1,   304128, 0x9e63188a
+0,         32,         32,        1,   304128, 0x0e45cb70
+0,         33,         33,        1,   304128, 0x02a9ec32
+0,         34,         34,        1,   304128, 0x6ff674cc
+0,         35,         35,        1,   304128, 0x7d1143e6
+0,         36,         36,        1,   304128, 0x52c6b9b7
+0,         37,         37,        1,   304128, 0x16696d9c
+0,         38,         38,        1,   304128, 0x0612973f
+0,         39,         39,        1,   304128, 0xed130f6a
+0,         40,         40,        1,   304128, 0xe0051904
+0,         41,         41,        1,   304128, 0x6930d331
+0,         42,         42,        1,   304128, 0x35f722f7
+0,         43,         43,        1,   304128, 0x0adb7e81
+0,         44,         44,        1,   304128, 0x1eb10598
+0,         45,         45,        1,   304128, 0x73ec2115
+0,         46,         46,        1,   304128, 0xf9d24a8c
+0,         47,         47,        1,   304128, 0x94a3748d
+0,         48,         48,        1,   304128, 0xbaeac1d5
+0,         49,         49,        1,   304128, 0x5493efd3