diff --git a/tests/fate/filter-video.mak b/tests/fate/filter-video.mak
index 63873a7a07..65965d8518 100644
--- a/tests/fate/filter-video.mak
+++ b/tests/fate/filter-video.mak
@@ -16,8 +16,8 @@ fate-filter-yadif-mode0: CMD = framecrc -flags bitexact -idct simple -i $(TARGET
 fate-filter-yadif-mode1: CMD = framecrc -flags bitexact -idct simple -i $(TARGET_SAMPLES)/mpeg2/mpeg2_field_encoding.ts -frames:v 59 -vf yadif=1
 
 FATE_YADIF-$(call FILTERDEMDEC, YADIF SCALE, MPEGTS, MPEG2VIDEO) += fate-filter-yadif10 fate-filter-yadif16
-fate-filter-yadif10: CMD = framecrc -flags bitexact -idct simple -i $(TARGET_SAMPLES)/mpeg2/mpeg2_field_encoding.ts -flags bitexact -pix_fmt yuv420p10le -frames:v 30 -vf yadif=0,scale
-fate-filter-yadif16: CMD = framecrc -flags bitexact -idct simple -i $(TARGET_SAMPLES)/mpeg2/mpeg2_field_encoding.ts -flags bitexact -pix_fmt yuv420p16le -frames:v 30 -vf yadif=0,scale
+fate-filter-yadif10: CMD = framecrc -flags bitexact -idct simple -i $(TARGET_SAMPLES)/mpeg2/mpeg2_field_encoding.ts -flags bitexact -pix_fmt yuv420p10le -frames:v 30 -vf scale,format=yuv420p10le,yadif=0
+fate-filter-yadif16: CMD = framecrc -flags bitexact -idct simple -i $(TARGET_SAMPLES)/mpeg2/mpeg2_field_encoding.ts -flags bitexact -pix_fmt yuv420p16le -frames:v 30 -vf scale,format=yuv420p16le,yadif=0
 
 FATE_FILTER_SAMPLES-yes += $(FATE_YADIF-yes)
 
diff --git a/tests/ref/fate/filter-yadif10 b/tests/ref/fate/filter-yadif10
index 28e799fc1f..1a8063fee9 100644
--- a/tests/ref/fate/filter-yadif10
+++ b/tests/ref/fate/filter-yadif10
@@ -3,33 +3,33 @@
 #codec_id 0: rawvideo
 #dimensions 0: 720x576
 #sar 0: 16/15
-0,          9,          9,        1,  1244160, 0xe0c2231b
-0,         10,         10,        1,  1244160, 0xdc7caa43
-0,         11,         11,        1,  1244160, 0x52c4dfbf
-0,         12,         12,        1,  1244160, 0x7c577f07
-0,         13,         13,        1,  1244160, 0x5b6ad7ce
-0,         14,         14,        1,  1244160, 0x6f15ce76
-0,         15,         15,        1,  1244160, 0xf120034a
-0,         16,         16,        1,  1244160, 0x9c65ba64
-0,         17,         17,        1,  1244160, 0x883b237e
-0,         18,         18,        1,  1244160, 0xb8292e0d
-0,         19,         19,        1,  1244160, 0xbc392721
-0,         20,         20,        1,  1244160, 0x7cd82ec9
-0,         21,         21,        1,  1244160, 0x167325eb
-0,         22,         22,        1,  1244160, 0x49bafa73
-0,         23,         23,        1,  1244160, 0xe1ff6dbf
-0,         24,         24,        1,  1244160, 0x85f710b6
-0,         25,         25,        1,  1244160, 0xd1fd4cdb
-0,         26,         26,        1,  1244160, 0xafee03c5
-0,         27,         27,        1,  1244160, 0x566be070
-0,         28,         28,        1,  1244160, 0xb6abbd01
-0,         29,         29,        1,  1244160, 0xa98f38fd
-0,         30,         30,        1,  1244160, 0x00f4736b
-0,         31,         31,        1,  1244160, 0x6b0f9dd2
-0,         32,         32,        1,  1244160, 0x15810b92
-0,         33,         33,        1,  1244160, 0x0b516465
-0,         34,         34,        1,  1244160, 0x927d15e6
-0,         35,         35,        1,  1244160, 0xd102f2bf
-0,         36,         36,        1,  1244160, 0xdd8b3b20
-0,         37,         37,        1,  1244160, 0x229ac529
-0,         38,         38,        1,  1244160, 0xf844e0a2
+0,          9,          9,        1,  1244160, 0x67910b3d
+0,         10,         10,        1,  1244160, 0xdbb80927
+0,         11,         11,        1,  1244160, 0xd5d4f27a
+0,         12,         12,        1,  1244160, 0xde270630
+0,         13,         13,        1,  1244160, 0xe57833cc
+0,         14,         14,        1,  1244160, 0xc806eabd
+0,         15,         15,        1,  1244160, 0xe041958a
+0,         16,         16,        1,  1244160, 0x0007fdc7
+0,         17,         17,        1,  1244160, 0xed25afda
+0,         18,         18,        1,  1244160, 0x43f8e068
+0,         19,         19,        1,  1244160, 0xd95b763a
+0,         20,         20,        1,  1244160, 0xf99cacdb
+0,         21,         21,        1,  1244160, 0x3c33ec50
+0,         22,         22,        1,  1244160, 0xf5260151
+0,         23,         23,        1,  1244160, 0x88e9f2e9
+0,         24,         24,        1,  1244160, 0x104cfe20
+0,         25,         25,        1,  1244160, 0x804d6a33
+0,         26,         26,        1,  1244160, 0x8c668008
+0,         27,         27,        1,  1244160, 0x63cf270a
+0,         28,         28,        1,  1244160, 0xc526e89a
+0,         29,         29,        1,  1244160, 0xe318e4d4
+0,         30,         30,        1,  1244160, 0x7c6b63a3
+0,         31,         31,        1,  1244160, 0x40deffdd
+0,         32,         32,        1,  1244160, 0xd256c2a9
+0,         33,         33,        1,  1244160, 0xc44d9f6b
+0,         34,         34,        1,  1244160, 0xab9c9f60
+0,         35,         35,        1,  1244160, 0xba3caff9
+0,         36,         36,        1,  1244160, 0x9efcf7d9
+0,         37,         37,        1,  1244160, 0x150d3dd5
+0,         38,         38,        1,  1244160, 0xf0dca6ac
diff --git a/tests/ref/fate/filter-yadif16 b/tests/ref/fate/filter-yadif16
index 0c856ab37a..ca700239ae 100644
--- a/tests/ref/fate/filter-yadif16
+++ b/tests/ref/fate/filter-yadif16
@@ -3,33 +3,33 @@
 #codec_id 0: rawvideo
 #dimensions 0: 720x576
 #sar 0: 16/15
-0,          9,          9,        1,  1244160, 0x24eeca92
-0,         10,         10,        1,  1244160, 0x96b8e646
-0,         11,         11,        1,  1244160, 0xc11fc5da
-0,         12,         12,        1,  1244160, 0xc15f9168
-0,         13,         13,        1,  1244160, 0xba1c738e
-0,         14,         14,        1,  1244160, 0x56b59681
-0,         15,         15,        1,  1244160, 0x14ad778d
-0,         16,         16,        1,  1244160, 0x18dc584b
-0,         17,         17,        1,  1244160, 0xe4c11635
-0,         18,         18,        1,  1244160, 0x85cc0dc0
-0,         19,         19,        1,  1244160, 0x2d6a65a4
-0,         20,         20,        1,  1244160, 0x4054d8f9
-0,         21,         21,        1,  1244160, 0xebce97d3
-0,         22,         22,        1,  1244160, 0x79437c93
-0,         23,         23,        1,  1244160, 0x6438ed40
-0,         24,         24,        1,  1244160, 0x9121928c
-0,         25,         25,        1,  1244160, 0xb8731075
-0,         26,         26,        1,  1244160, 0xfb01310e
-0,         27,         27,        1,  1244160, 0x97be489c
-0,         28,         28,        1,  1244160, 0xa5b4b8aa
-0,         29,         29,        1,  1244160, 0x00a7ae0f
-0,         30,         30,        1,  1244160, 0x514fa990
-0,         31,         31,        1,  1244160, 0xd73c3f66
-0,         32,         32,        1,  1244160, 0x3602e6c3
-0,         33,         33,        1,  1244160, 0xa16ad8ab
-0,         34,         34,        1,  1244160, 0xdf11ac80
-0,         35,         35,        1,  1244160, 0x1f084421
-0,         36,         36,        1,  1244160, 0x9fc1bd32
-0,         37,         37,        1,  1244160, 0x1389f6cf
-0,         38,         38,        1,  1244160, 0x6fc5f0e5
+0,          9,          9,        1,  1244160, 0x4dc19e70
+0,         10,         10,        1,  1244160, 0x96235156
+0,         11,         11,        1,  1244160, 0x4f8e700a
+0,         12,         12,        1,  1244160, 0xcfae5b9e
+0,         13,         13,        1,  1244160, 0x05885981
+0,         14,         14,        1,  1244160, 0x2eeade5e
+0,         15,         15,        1,  1244160, 0xd208cb2c
+0,         16,         16,        1,  1244160, 0xdbf4419e
+0,         17,         17,        1,  1244160, 0xa4221dd0
+0,         18,         18,        1,  1244160, 0x18562eed
+0,         19,         19,        1,  1244160, 0x146f4d85
+0,         20,         20,        1,  1244160, 0x024dcc1f
+0,         21,         21,        1,  1244160, 0xd5b5e7c2
+0,         22,         22,        1,  1244160, 0x4961324b
+0,         23,         23,        1,  1244160, 0xb0bba154
+0,         24,         24,        1,  1244160, 0xeba2ca02
+0,         25,         25,        1,  1244160, 0x288bd802
+0,         26,         26,        1,  1244160, 0x8979b9dd
+0,         27,         27,        1,  1244160, 0x0b1b3a04
+0,         28,         28,        1,  1244160, 0xdefab084
+0,         29,         29,        1,  1244160, 0xf2bf0d16
+0,         30,         30,        1,  1244160, 0xa080b06c
+0,         31,         31,        1,  1244160, 0xa9d79809
+0,         32,         32,        1,  1244160, 0xb89287e7
+0,         33,         33,        1,  1244160, 0xa3131327
+0,         34,         34,        1,  1244160, 0x43640034
+0,         35,         35,        1,  1244160, 0x714e1780
+0,         36,         36,        1,  1244160, 0x91ade9c5
+0,         37,         37,        1,  1244160, 0x0ea017da
+0,         38,         38,        1,  1244160, 0xa81a5fef