diff --git a/tests/fate/filter-video.mak b/tests/fate/filter-video.mak
index 7f8dc3aa27..e8de16bb73 100644
--- a/tests/fate/filter-video.mak
+++ b/tests/fate/filter-video.mak
@@ -550,8 +550,10 @@ fate-filter-pixelize-min: CMD = video_filter "pixelize=mode=min"
 FATE_FILTER_VSYNTH_VIDEO_FILTER-$(CONFIG_PIXELIZE_FILTER) += fate-filter-pixelize-max
 fate-filter-pixelize-max: CMD = video_filter "pixelize=mode=max"
 
-FATE_FILTER_VSYNTH_VIDEO_FILTER-$(CONFIG_TILTANDSHIFT_FILTER) += fate-filter-tiltandshift
+FATE_FILTER_VSYNTH_VIDEO_FILTER-$(call ALLYES, SCALE_FILTER TILTANDSHIFT_FILTER) += fate-filter-tiltandshift fate-filter-tiltandshift-422 fate-filter-tiltandshift-444
 fate-filter-tiltandshift: CMD = framecrc -c:v pgmyuv -i $(SRC) -flags +bitexact -vf tiltandshift
+fate-filter-tiltandshift-422: CMD = framecrc -auto_conversion_filters -c:v pgmyuv -i $(SRC) -flags +bitexact -vf format=yuv422p,tiltandshift
+fate-filter-tiltandshift-444: CMD = framecrc -auto_conversion_filters -c:v pgmyuv -i $(SRC) -flags +bitexact -vf format=yuv444p,tiltandshift
 
 tests/pixfmts.mak: TAG = GEN
 tests/pixfmts.mak: ffmpeg$(PROGSSUF)$(EXESUF) | tests
diff --git a/tests/ref/fate/filter-tiltandshift-422 b/tests/ref/fate/filter-tiltandshift-422
new file mode 100644
index 0000000000..bfe2c5ce6d
--- /dev/null
+++ b/tests/ref/fate/filter-tiltandshift-422
@@ -0,0 +1,55 @@
+#tb 0: 1/25
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 352x288
+#sar 0: 0/1
+0,          0,          0,        1,   202752, 0xbaf063df
+0,          1,          1,        1,   202752, 0x31ed634d
+0,          2,          2,        1,   202752, 0x5927d857
+0,          3,          3,        1,   202752, 0xc19eab02
+0,          4,          4,        1,   202752, 0xf94c2e91
+0,          5,          5,        1,   202752, 0xfa801433
+0,          6,          6,        1,   202752, 0xb3aa2306
+0,          7,          7,        1,   202752, 0x050b77ae
+0,          8,          8,        1,   202752, 0x8164d2fd
+0,          9,          9,        1,   202752, 0xa550542a
+0,         10,         10,        1,   202752, 0x9debb43f
+0,         11,         11,        1,   202752, 0x13ab5e6f
+0,         12,         12,        1,   202752, 0x30f1735b
+0,         13,         13,        1,   202752, 0xbd01a9c3
+0,         14,         14,        1,   202752, 0x782fb530
+0,         15,         15,        1,   202752, 0xfc9cf9bb
+0,         16,         16,        1,   202752, 0xf8e89ca2
+0,         17,         17,        1,   202752, 0x3476b27c
+0,         18,         18,        1,   202752, 0x37e535c3
+0,         19,         19,        1,   202752, 0xe4fdcd37
+0,         20,         20,        1,   202752, 0x908e04d7
+0,         21,         21,        1,   202752, 0x8dfcdb65
+0,         22,         22,        1,   202752, 0x6898f01a
+0,         23,         23,        1,   202752, 0x483fb2b3
+0,         24,         24,        1,   202752, 0x86be9cca
+0,         25,         25,        1,   202752, 0x3001a8fb
+0,         26,         26,        1,   202752, 0x66536ba7
+0,         27,         27,        1,   202752, 0x40a74c21
+0,         28,         28,        1,   202752, 0xdd31b746
+0,         29,         29,        1,   202752, 0x7e7797e4
+0,         30,         30,        1,   202752, 0x88dddb8e
+0,         31,         31,        1,   202752, 0xdd02fb81
+0,         32,         32,        1,   202752, 0x2d8604f2
+0,         33,         33,        1,   202752, 0x1651dd62
+0,         34,         34,        1,   202752, 0xf738b3f4
+0,         35,         35,        1,   202752, 0x8795baed
+0,         36,         36,        1,   202752, 0x270b5d42
+0,         37,         37,        1,   202752, 0x0b2d585a
+0,         38,         38,        1,   202752, 0x6d39efaa
+0,         39,         39,        1,   202752, 0x861e7195
+0,         40,         40,        1,   202752, 0x92d8192e
+0,         41,         41,        1,   202752, 0xe5ee8f4e
+0,         42,         42,        1,   202752, 0x875324ef
+0,         43,         43,        1,   202752, 0x336d90b3
+0,         44,         44,        1,   202752, 0x27371b1a
+0,         45,         45,        1,   202752, 0xe9ab8220
+0,         46,         46,        1,   202752, 0x1d4a0568
+0,         47,         47,        1,   202752, 0x681b6ac5
+0,         48,         48,        1,   202752, 0x157ee913
+0,         49,         49,        1,   202752, 0x3bfd4fca
diff --git a/tests/ref/fate/filter-tiltandshift-444 b/tests/ref/fate/filter-tiltandshift-444
new file mode 100644
index 0000000000..6ff3ea903c
--- /dev/null
+++ b/tests/ref/fate/filter-tiltandshift-444
@@ -0,0 +1,55 @@
+#tb 0: 1/25
+#media_type 0: video
+#codec_id 0: rawvideo
+#dimensions 0: 352x288
+#sar 0: 0/1
+0,          0,          0,        1,   304128, 0xac8e2069
+0,          1,          1,        1,   304128, 0x75c8ced5
+0,          2,          2,        1,   304128, 0xaef0f047
+0,          3,          3,        1,   304128, 0xa20d03e3
+0,          4,          4,        1,   304128, 0x556e8686
+0,          5,          5,        1,   304128, 0x6a83bb98
+0,          6,          6,        1,   304128, 0x471645e1
+0,          7,          7,        1,   304128, 0xc3bde543
+0,          8,          8,        1,   304128, 0x561a502b
+0,          9,          9,        1,   304128, 0x9dd691d2
+0,         10,         10,        1,   304128, 0x08df0078
+0,         11,         11,        1,   304128, 0xdb27b79d
+0,         12,         12,        1,   304128, 0x87c9c26b
+0,         13,         13,        1,   304128, 0x9c1e6335
+0,         14,         14,        1,   304128, 0xf8522fb6
+0,         15,         15,        1,   304128, 0xd6f13895
+0,         16,         16,        1,   304128, 0x933d90e1
+0,         17,         17,        1,   304128, 0xbe98d7f1
+0,         18,         18,        1,   304128, 0x253b3141
+0,         19,         19,        1,   304128, 0xd8178974
+0,         20,         20,        1,   304128, 0xf51a157d
+0,         21,         21,        1,   304128, 0x6af07af4
+0,         22,         22,        1,   304128, 0x8207ddbe
+0,         23,         23,        1,   304128, 0x68f3823e
+0,         24,         24,        1,   304128, 0x4cee4cad
+0,         25,         25,        1,   304128, 0xb5a9c9d8
+0,         26,         26,        1,   304128, 0x357e4aa4
+0,         27,         27,        1,   304128, 0x3bbf2e0a
+0,         28,         28,        1,   304128, 0x7216049b
+0,         29,         29,        1,   304128, 0x7979add3
+0,         30,         30,        1,   304128, 0x39134938
+0,         31,         31,        1,   304128, 0xe6631ac1
+0,         32,         32,        1,   304128, 0x8cdea458
+0,         33,         33,        1,   304128, 0xfdb04e0d
+0,         34,         34,        1,   304128, 0x33c41afe
+0,         35,         35,        1,   304128, 0x0fae8843
+0,         36,         36,        1,   304128, 0xe47ab639
+0,         37,         37,        1,   304128, 0xcd5adf08
+0,         38,         38,        1,   304128, 0x35be000f
+0,         39,         39,        1,   304128, 0xdb40ae22
+0,         40,         40,        1,   304128, 0xaaad4f41
+0,         41,         41,        1,   304128, 0xbf67e136
+0,         42,         42,        1,   304128, 0xf8fd6870
+0,         43,         43,        1,   304128, 0x3c36e4da
+0,         44,         44,        1,   304128, 0xbce05c4d
+0,         45,         45,        1,   304128, 0x93e6cd25
+0,         46,         46,        1,   304128, 0x7b0f3993
+0,         47,         47,        1,   304128, 0xba99a2eb
+0,         48,         48,        1,   304128, 0xc3730a7e
+0,         49,         49,        1,   304128, 0x52ad71d3